Adding upstream version 0.2.4.
[debian/pcmanfm.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40 $(srcdir)/pcmanfm.desktop.in $(top_srcdir)/configure AUTHORS \
41 COPYING ChangeLog INSTALL NEWS TODO depcomp install-sh missing \
42 mkinstalldirs
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.in
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46 $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno configure.status.lineno
49 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
50 CONFIG_HEADER = config.h
51 CONFIG_CLEAN_FILES = pcmanfm.desktop
52 SOURCES =
53 DIST_SOURCES =
54 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55 html-recursive info-recursive install-data-recursive \
56 install-exec-recursive install-info-recursive \
57 install-recursive installcheck-recursive installdirs-recursive \
58 pdf-recursive ps-recursive uninstall-info-recursive \
59 uninstall-recursive
60 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
61 am__vpath_adj = case $$p in \
62 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
63 *) f=$$p;; \
64 esac;
65 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
66 am__installdirs = "$(DESTDIR)$(desktopdir)"
67 desktopDATA_INSTALL = $(INSTALL_DATA)
68 DATA = $(desktop_DATA)
69 ETAGS = etags
70 CTAGS = ctags
71 DIST_SUBDIRS = $(SUBDIRS)
72 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
73 distdir = $(PACKAGE)-$(VERSION)
74 top_distdir = $(distdir)
75 am__remove_distdir = \
76 { test ! -d $(distdir) \
77 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
78 && rm -fr $(distdir); }; }
79 DIST_ARCHIVES = $(distdir).tar.gz
80 GZIP_ENV = --best
81 distuninstallcheck_listfiles = find . -type f -print
82 distcleancheck_listfiles = find . -type f -print
83 ACLOCAL = @ACLOCAL@
84 AMDEP_FALSE = @AMDEP_FALSE@
85 AMDEP_TRUE = @AMDEP_TRUE@
86 AMTAR = @AMTAR@
87 AUTOCONF = @AUTOCONF@
88 AUTOHEADER = @AUTOHEADER@
89 AUTOMAKE = @AUTOMAKE@
90 AWK = @AWK@
91 CATALOGS = @CATALOGS@
92 CATOBJEXT = @CATOBJEXT@
93 CC = @CC@
94 CCDEPMODE = @CCDEPMODE@
95 CFLAGS = @CFLAGS@
96 CPP = @CPP@
97 CPPFLAGS = @CPPFLAGS@
98 CYGPATH_W = @CYGPATH_W@
99 DATADIRNAME = @DATADIRNAME@
100 DEFS = @DEFS@
101 DEPDIR = @DEPDIR@
102 ECHO_C = @ECHO_C@
103 ECHO_N = @ECHO_N@
104 ECHO_T = @ECHO_T@
105 EGREP = @EGREP@
106 EXEEXT = @EXEEXT@
107 FAM_CFLAGS = @FAM_CFLAGS@
108 FAM_LIBS = @FAM_LIBS@
109 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
110 GMOFILES = @GMOFILES@
111 GMSGFMT = @GMSGFMT@
112 INSTALL_DATA = @INSTALL_DATA@
113 INSTALL_PROGRAM = @INSTALL_PROGRAM@
114 INSTALL_SCRIPT = @INSTALL_SCRIPT@
115 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
116 INSTOBJEXT = @INSTOBJEXT@
117 INTLLIBS = @INTLLIBS@
118 LDFLAGS = @LDFLAGS@
119 LIBOBJS = @LIBOBJS@
120 LIBS = @LIBS@
121 LTLIBOBJS = @LTLIBOBJS@
122 MAINT = @MAINT@
123 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
124 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
125 MAKEINFO = @MAKEINFO@
126 MKINSTALLDIRS = @MKINSTALLDIRS@
127 MSGFMT = @MSGFMT@
128 OBJEXT = @OBJEXT@
129 PACKAGE = @PACKAGE@
130 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
131 PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
132 PACKAGE_LIBS = @PACKAGE_LIBS@
133 PACKAGE_NAME = @PACKAGE_NAME@
134 PACKAGE_STRING = @PACKAGE_STRING@
135 PACKAGE_TARNAME = @PACKAGE_TARNAME@
136 PACKAGE_VERSION = @PACKAGE_VERSION@
137 PATH_SEPARATOR = @PATH_SEPARATOR@
138 PKG_CONFIG = @PKG_CONFIG@
139 POFILES = @POFILES@
140 POSUB = @POSUB@
141 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
142 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
143 SET_MAKE = @SET_MAKE@
144 SHELL = @SHELL@
145 STRIP = @STRIP@
146 USE_NLS = @USE_NLS@
147 VERSION = @VERSION@
148 XGETTEXT = @XGETTEXT@
149 ac_ct_CC = @ac_ct_CC@
150 ac_ct_STRIP = @ac_ct_STRIP@
151 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
152 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
153 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
154 am__include = @am__include@
155 am__leading_dot = @am__leading_dot@
156 am__quote = @am__quote@
157 am__tar = @am__tar@
158 am__untar = @am__untar@
159 bindir = @bindir@
160 build_alias = @build_alias@
161 datadir = @datadir@
162 exec_prefix = @exec_prefix@
163 host_alias = @host_alias@
164 includedir = @includedir@
165 infodir = @infodir@
166 install_sh = @install_sh@
167 libdir = @libdir@
168 libexecdir = @libexecdir@
169 localstatedir = @localstatedir@
170 mandir = @mandir@
171 mkdir_p = @mkdir_p@
172 oldincludedir = @oldincludedir@
173 prefix = @prefix@
174 program_transform_name = @program_transform_name@
175 sbindir = @sbindir@
176 sharedstatedir = @sharedstatedir@
177 sysconfdir = @sysconfdir@
178 target_alias = @target_alias@
179 SUBDIRS = src po
180 EXTRA_DIST = \
181 autogen.sh \
182 pcmanfm.glade \
183 pcmanfm.gladep \
184 pcmanfm.desktop.in
185
186 desktopdir = $(datadir)/applications
187 desktop_DATA = pcmanfm.desktop
188 all: config.h
189 $(MAKE) $(AM_MAKEFLAGS) all-recursive
190
191 .SUFFIXES:
192 am--refresh:
193 @:
194 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
195 @for dep in $?; do \
196 case '$(am__configure_deps)' in \
197 *$$dep*) \
198 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
199 cd $(srcdir) && $(AUTOMAKE) --gnu \
200 && exit 0; \
201 exit 1;; \
202 esac; \
203 done; \
204 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
205 cd $(top_srcdir) && \
206 $(AUTOMAKE) --gnu Makefile
207 .PRECIOUS: Makefile
208 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
209 @case '$?' in \
210 *config.status*) \
211 echo ' $(SHELL) ./config.status'; \
212 $(SHELL) ./config.status;; \
213 *) \
214 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
215 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
216 esac;
217
218 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
219 $(SHELL) ./config.status --recheck
220
221 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
222 cd $(srcdir) && $(AUTOCONF)
223 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
224 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
225
226 config.h: stamp-h1
227 @if test ! -f $@; then \
228 rm -f stamp-h1; \
229 $(MAKE) stamp-h1; \
230 else :; fi
231
232 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
233 @rm -f stamp-h1
234 cd $(top_builddir) && $(SHELL) ./config.status config.h
235 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
236 cd $(top_srcdir) && $(AUTOHEADER)
237 rm -f stamp-h1
238 touch $@
239
240 distclean-hdr:
241 -rm -f config.h stamp-h1
242 pcmanfm.desktop: $(top_builddir)/config.status $(srcdir)/pcmanfm.desktop.in
243 cd $(top_builddir) && $(SHELL) ./config.status $@
244 uninstall-info-am:
245 install-desktopDATA: $(desktop_DATA)
246 @$(NORMAL_INSTALL)
247 test -z "$(desktopdir)" || $(mkdir_p) "$(DESTDIR)$(desktopdir)"
248 @list='$(desktop_DATA)'; for p in $$list; do \
249 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
250 f=$(am__strip_dir) \
251 echo " $(desktopDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(desktopdir)/$$f'"; \
252 $(desktopDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(desktopdir)/$$f"; \
253 done
254
255 uninstall-desktopDATA:
256 @$(NORMAL_UNINSTALL)
257 @list='$(desktop_DATA)'; for p in $$list; do \
258 f=$(am__strip_dir) \
259 echo " rm -f '$(DESTDIR)$(desktopdir)/$$f'"; \
260 rm -f "$(DESTDIR)$(desktopdir)/$$f"; \
261 done
262
263 # This directory's subdirectories are mostly independent; you can cd
264 # into them and run `make' without going through this Makefile.
265 # To change the values of `make' variables: instead of editing Makefiles,
266 # (1) if the variable is set in `config.status', edit `config.status'
267 # (which will cause the Makefiles to be regenerated when you run `make');
268 # (2) otherwise, pass the desired values on the `make' command line.
269 $(RECURSIVE_TARGETS):
270 @failcom='exit 1'; \
271 for f in x $$MAKEFLAGS; do \
272 case $$f in \
273 *=* | --[!k]*);; \
274 *k*) failcom='fail=yes';; \
275 esac; \
276 done; \
277 dot_seen=no; \
278 target=`echo $@ | sed s/-recursive//`; \
279 list='$(SUBDIRS)'; for subdir in $$list; do \
280 echo "Making $$target in $$subdir"; \
281 if test "$$subdir" = "."; then \
282 dot_seen=yes; \
283 local_target="$$target-am"; \
284 else \
285 local_target="$$target"; \
286 fi; \
287 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
288 || eval $$failcom; \
289 done; \
290 if test "$$dot_seen" = "no"; then \
291 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
292 fi; test -z "$$fail"
293
294 mostlyclean-recursive clean-recursive distclean-recursive \
295 maintainer-clean-recursive:
296 @failcom='exit 1'; \
297 for f in x $$MAKEFLAGS; do \
298 case $$f in \
299 *=* | --[!k]*);; \
300 *k*) failcom='fail=yes';; \
301 esac; \
302 done; \
303 dot_seen=no; \
304 case "$@" in \
305 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
306 *) list='$(SUBDIRS)' ;; \
307 esac; \
308 rev=''; for subdir in $$list; do \
309 if test "$$subdir" = "."; then :; else \
310 rev="$$subdir $$rev"; \
311 fi; \
312 done; \
313 rev="$$rev ."; \
314 target=`echo $@ | sed s/-recursive//`; \
315 for subdir in $$rev; do \
316 echo "Making $$target in $$subdir"; \
317 if test "$$subdir" = "."; then \
318 local_target="$$target-am"; \
319 else \
320 local_target="$$target"; \
321 fi; \
322 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
323 || eval $$failcom; \
324 done && test -z "$$fail"
325 tags-recursive:
326 list='$(SUBDIRS)'; for subdir in $$list; do \
327 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
328 done
329 ctags-recursive:
330 list='$(SUBDIRS)'; for subdir in $$list; do \
331 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
332 done
333
334 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
335 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
336 unique=`for i in $$list; do \
337 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
338 done | \
339 $(AWK) ' { files[$$0] = 1; } \
340 END { for (i in files) print i; }'`; \
341 mkid -fID $$unique
342 tags: TAGS
343
344 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
345 $(TAGS_FILES) $(LISP)
346 tags=; \
347 here=`pwd`; \
348 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
349 include_option=--etags-include; \
350 empty_fix=.; \
351 else \
352 include_option=--include; \
353 empty_fix=; \
354 fi; \
355 list='$(SUBDIRS)'; for subdir in $$list; do \
356 if test "$$subdir" = .; then :; else \
357 test ! -f $$subdir/TAGS || \
358 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
359 fi; \
360 done; \
361 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
362 unique=`for i in $$list; do \
363 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
364 done | \
365 $(AWK) ' { files[$$0] = 1; } \
366 END { for (i in files) print i; }'`; \
367 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
368 test -n "$$unique" || unique=$$empty_fix; \
369 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
370 $$tags $$unique; \
371 fi
372 ctags: CTAGS
373 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
374 $(TAGS_FILES) $(LISP)
375 tags=; \
376 here=`pwd`; \
377 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
378 unique=`for i in $$list; do \
379 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
380 done | \
381 $(AWK) ' { files[$$0] = 1; } \
382 END { for (i in files) print i; }'`; \
383 test -z "$(CTAGS_ARGS)$$tags$$unique" \
384 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
385 $$tags $$unique
386
387 GTAGS:
388 here=`$(am__cd) $(top_builddir) && pwd` \
389 && cd $(top_srcdir) \
390 && gtags -i $(GTAGS_ARGS) $$here
391
392 distclean-tags:
393 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
394
395 distdir: $(DISTFILES)
396 $(am__remove_distdir)
397 mkdir $(distdir)
398 $(mkdir_p) $(distdir)/. $(distdir)/po
399 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
400 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
401 list='$(DISTFILES)'; for file in $$list; do \
402 case $$file in \
403 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
404 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
405 esac; \
406 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
407 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
408 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
409 dir="/$$dir"; \
410 $(mkdir_p) "$(distdir)$$dir"; \
411 else \
412 dir=''; \
413 fi; \
414 if test -d $$d/$$file; then \
415 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
416 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
417 fi; \
418 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
419 else \
420 test -f $(distdir)/$$file \
421 || cp -p $$d/$$file $(distdir)/$$file \
422 || exit 1; \
423 fi; \
424 done
425 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
426 if test "$$subdir" = .; then :; else \
427 test -d "$(distdir)/$$subdir" \
428 || $(mkdir_p) "$(distdir)/$$subdir" \
429 || exit 1; \
430 distdir=`$(am__cd) $(distdir) && pwd`; \
431 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
432 (cd $$subdir && \
433 $(MAKE) $(AM_MAKEFLAGS) \
434 top_distdir="$$top_distdir" \
435 distdir="$$distdir/$$subdir" \
436 distdir) \
437 || exit 1; \
438 fi; \
439 done
440 $(MAKE) $(AM_MAKEFLAGS) \
441 top_distdir="$(top_distdir)" distdir="$(distdir)" \
442 dist-hook
443 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
444 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
445 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
446 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
447 || chmod -R a+r $(distdir)
448 dist-gzip: distdir
449 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
450 $(am__remove_distdir)
451
452 dist-bzip2: distdir
453 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
454 $(am__remove_distdir)
455
456 dist-tarZ: distdir
457 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
458 $(am__remove_distdir)
459
460 dist-shar: distdir
461 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
462 $(am__remove_distdir)
463
464 dist-zip: distdir
465 -rm -f $(distdir).zip
466 zip -rq $(distdir).zip $(distdir)
467 $(am__remove_distdir)
468
469 dist dist-all: distdir
470 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
471 $(am__remove_distdir)
472
473 # This target untars the dist file and tries a VPATH configuration. Then
474 # it guarantees that the distribution is self-contained by making another
475 # tarfile.
476 distcheck: dist
477 case '$(DIST_ARCHIVES)' in \
478 *.tar.gz*) \
479 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
480 *.tar.bz2*) \
481 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
482 *.tar.Z*) \
483 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
484 *.shar.gz*) \
485 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
486 *.zip*) \
487 unzip $(distdir).zip ;;\
488 esac
489 chmod -R a-w $(distdir); chmod a+w $(distdir)
490 mkdir $(distdir)/_build
491 mkdir $(distdir)/_inst
492 chmod a-w $(distdir)
493 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
494 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
495 && cd $(distdir)/_build \
496 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
497 $(DISTCHECK_CONFIGURE_FLAGS) \
498 && $(MAKE) $(AM_MAKEFLAGS) \
499 && $(MAKE) $(AM_MAKEFLAGS) dvi \
500 && $(MAKE) $(AM_MAKEFLAGS) check \
501 && $(MAKE) $(AM_MAKEFLAGS) install \
502 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
503 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
504 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
505 distuninstallcheck \
506 && chmod -R a-w "$$dc_install_base" \
507 && ({ \
508 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
509 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
510 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
511 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
512 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
513 } || { rm -rf "$$dc_destdir"; exit 1; }) \
514 && rm -rf "$$dc_destdir" \
515 && $(MAKE) $(AM_MAKEFLAGS) dist \
516 && rm -rf $(DIST_ARCHIVES) \
517 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
518 $(am__remove_distdir)
519 @(echo "$(distdir) archives ready for distribution: "; \
520 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
521 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
522 distuninstallcheck:
523 @cd $(distuninstallcheck_dir) \
524 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
525 || { echo "ERROR: files left after uninstall:" ; \
526 if test -n "$(DESTDIR)"; then \
527 echo " (check DESTDIR support)"; \
528 fi ; \
529 $(distuninstallcheck_listfiles) ; \
530 exit 1; } >&2
531 distcleancheck: distclean
532 @if test '$(srcdir)' = . ; then \
533 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
534 exit 1 ; \
535 fi
536 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
537 || { echo "ERROR: files left in build directory after distclean:" ; \
538 $(distcleancheck_listfiles) ; \
539 exit 1; } >&2
540 check-am: all-am
541 check: check-recursive
542 all-am: Makefile $(DATA) config.h
543 installdirs: installdirs-recursive
544 installdirs-am:
545 for dir in "$(DESTDIR)$(desktopdir)"; do \
546 test -z "$$dir" || $(mkdir_p) "$$dir"; \
547 done
548 install: install-recursive
549 install-exec: install-exec-recursive
550 install-data: install-data-recursive
551 uninstall: uninstall-recursive
552
553 install-am: all-am
554 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
555
556 installcheck: installcheck-recursive
557 install-strip:
558 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
559 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
560 `test -z '$(STRIP)' || \
561 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
562 mostlyclean-generic:
563
564 clean-generic:
565
566 distclean-generic:
567 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
568
569 maintainer-clean-generic:
570 @echo "This command is intended for maintainers to use"
571 @echo "it deletes files that may require special tools to rebuild."
572 clean: clean-recursive
573
574 clean-am: clean-generic mostlyclean-am
575
576 distclean: distclean-recursive
577 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
578 -rm -f Makefile
579 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
580
581 dvi: dvi-recursive
582
583 dvi-am:
584
585 html: html-recursive
586
587 info: info-recursive
588
589 info-am:
590
591 install-data-am: install-data-local install-desktopDATA
592
593 install-exec-am:
594
595 install-info: install-info-recursive
596
597 install-man:
598
599 installcheck-am:
600
601 maintainer-clean: maintainer-clean-recursive
602 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
603 -rm -rf $(top_srcdir)/autom4te.cache
604 -rm -f Makefile
605 maintainer-clean-am: distclean-am maintainer-clean-generic
606
607 mostlyclean: mostlyclean-recursive
608
609 mostlyclean-am: mostlyclean-generic
610
611 pdf: pdf-recursive
612
613 pdf-am:
614
615 ps: ps-recursive
616
617 ps-am:
618
619 uninstall-am: uninstall-desktopDATA uninstall-info-am
620
621 uninstall-info: uninstall-info-recursive
622
623 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
624 check-am clean clean-generic clean-recursive ctags \
625 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-hook \
626 dist-shar dist-tarZ dist-zip distcheck distclean \
627 distclean-generic distclean-hdr distclean-recursive \
628 distclean-tags distcleancheck distdir distuninstallcheck dvi \
629 dvi-am html html-am info info-am install install-am \
630 install-data install-data-am install-data-local \
631 install-desktopDATA install-exec install-exec-am install-info \
632 install-info-am install-man install-strip installcheck \
633 installcheck-am installdirs installdirs-am maintainer-clean \
634 maintainer-clean-generic maintainer-clean-recursive \
635 mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
636 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
637 uninstall-desktopDATA uninstall-info-am
638
639
640 # icondir = $(datadir)/pixmaps
641 # icon_DATA = data/pcmanfm.png
642
643 install-data-local:
644 @$(NORMAL_INSTALL)
645 if test -d $(srcdir)/pixmaps; then \
646 $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/pixmaps; \
647 for pixmap in $(srcdir)/pixmaps/*; do \
648 if test -f $$pixmap; then \
649 $(INSTALL_DATA) $$pixmap $(DESTDIR)$(pkgdatadir)/pixmaps; \
650 fi \
651 done \
652 fi
653
654 dist-hook:
655 if test -d pixmaps; then \
656 mkdir $(distdir)/pixmaps; \
657 for pixmap in pixmaps/*; do \
658 if test -f $$pixmap; then \
659 cp -p $$pixmap $(distdir)/pixmaps; \
660 fi \
661 done \
662 fi
663 # Tell versions [3.59,3.63) of GNU make to not export all variables.
664 # Otherwise a system limit (for SysV at least) may be exceeded.
665 .NOEXPORT: